org.eclipse.viatra.cep.vepl.vepl.impl

## Class VeplFactoryImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.EFactoryImpl
            - - org.eclipse.viatra.cep.vepl.vepl.impl.VeplFactoryImpl

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory, VeplFactory

      public class VeplFactoryImpl
      extends org.eclipse.emf.ecore.impl.EFactoryImpl
      implements VeplFactory

  An implementation of the model Factory.
  Generated:

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

      `EDATE_FORMATS, ePackage`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.viatra.cep.vepl.vepl.VeplFactory

      `eINSTANCE`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VeplFactoryImpl()` Creates an instance of the factory.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `convertContextEnumToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertQueryResultChangeTypeToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `java.lang.String` | `convertToString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.Object instanceValue)`
    `org.eclipse.emf.ecore.EObject` | `create(org.eclipse.emf.ecore.EClass eClass)`
    `AbstractAtomicEventPattern` | `createAbstractAtomicEventPattern()`
    `AbstractMultiplicity` | `createAbstractMultiplicity()`
    `AndOperator` | `createAndOperator()`
    `AtLeastOne` | `createAtLeastOne()`
    `Atom` | `createAtom()`
    `AtomicEventPattern` | `createAtomicEventPattern()`
    `BinaryOperator` | `createBinaryOperator()`
    `ChainedExpression` | `createChainedExpression()`
    `ComplexEventExpression` | `createComplexEventExpression()`
    `ComplexEventOperator` | `createComplexEventOperator()`
    `ComplexEventPattern` | `createComplexEventPattern()`
    `ContextEnum` | `createContextEnumFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `EventModel` | `createEventModel()`
    `EventPattern` | `createEventPattern()`
    `FollowsOperator` | `createFollowsOperator()`
    `java.lang.Object` | `createFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `GenericImport` | `createGenericImport()`
    `Import` | `createImport()`
    `Infinite` | `createInfinite()`
    `ModelElement` | `createModelElement()`
    `Multiplicity` | `createMultiplicity()`
    `NegOperator` | `createNegOperator()`
    `OrOperator` | `createOrOperator()`
    `ParameterizedPatternCall` | `createParameterizedPatternCall()`
    `ParametrizedQueryReference` | `createParametrizedQueryReference()`
    `PatternCallParameter` | `createPatternCallParameter()`
    `PatternCallParameterList` | `createPatternCallParameterList()`
    `QueryImport` | `createQueryImport()`
    `QueryResultChangeEventPattern` | `createQueryResultChangeEventPattern()`
    `QueryResultChangeType` | `createQueryResultChangeTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, java.lang.String initialValue)`
    `Rule` | `createRule()`
    `Timewindow` | `createTimewindow()`
    `Trait` | `createTrait()`
    `TraitList` | `createTraitList()`
    `TraitTypedParameterList` | `createTraitTypedParameterList()`
    `TypedParameter` | `createTypedParameter()`
    `TypedParameterList` | `createTypedParameterList()`
    `TypedParameterWithDefaultValue` | `createTypedParameterWithDefaultValue()`
    `UnaryOperator` | `createUnaryOperator()`
    `UntilOperator` | `createUntilOperator()`
    `static VeplPackage` | `getPackage()` Deprecated.
    `VeplPackage` | `getVeplPackage()`
    `static VeplFactory` | `init()` Creates the default factory implementation.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl

      `basicCreate, basicSetEPackage, collapseWhiteSpace, convertToString, create, createFromString, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eStaticClass, eUnset, getEPackage, replaceWhiteSpace, setEPackage, split`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Constructor Detail

    - #### VeplFactoryImpl

          public VeplFactoryImpl()

      Creates an instance of the factory.
      Generated:

  - ### Method Detail

    - #### init

          public static VeplFactory init()

      Creates the default factory implementation.
      Generated:

    - #### create

          public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

      Specified by:
        `create` in interface `org.eclipse.emf.ecore.EFactory`
      Overrides:
        `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`
      Generated:

    - #### createFromString

          public java.lang.Object createFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                   java.lang.String initialValue)

      Specified by:
        `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
      Overrides:
        `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`
      Generated:

    - #### convertToString

          public java.lang.String convertToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                  java.lang.Object instanceValue)

      Specified by:
        `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
      Overrides:
        `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`
      Generated:

    - #### createEventModel

          public EventModel createEventModel()

      Specified by:
        `createEventModel` in interface `VeplFactory`
      Returns:
        a new object of class 'Event Model'.
      Generated:

    - #### createImport

          public Import createImport()

      Specified by:
        `createImport` in interface `VeplFactory`
      Returns:
        a new object of class 'Import'.
      Generated:

    - #### createGenericImport

          public GenericImport createGenericImport()

      Specified by:
        `createGenericImport` in interface `VeplFactory`
      Returns:
        a new object of class 'Generic Import'.
      Generated:

    - #### createQueryImport

          public QueryImport createQueryImport()

      Specified by:
        `createQueryImport` in interface `VeplFactory`
      Returns:
        a new object of class 'Query Import'.
      Generated:

    - #### createModelElement

          public ModelElement createModelElement()

      Specified by:
        `createModelElement` in interface `VeplFactory`
      Returns:
        a new object of class 'Model Element'.
      Generated:

    - #### createTrait

          public Trait createTrait()

      Specified by:
        `createTrait` in interface `VeplFactory`
      Returns:
        a new object of class 'Trait'.
      Generated:

    - #### createEventPattern

          public EventPattern createEventPattern()

      Specified by:
        `createEventPattern` in interface `VeplFactory`
      Returns:
        a new object of class 'Event Pattern'.
      Generated:

    - #### createAbstractAtomicEventPattern

          public AbstractAtomicEventPattern createAbstractAtomicEventPattern()

      Specified by:
        `createAbstractAtomicEventPattern` in interface `VeplFactory`
      Returns:
        a new object of class 'Abstract Atomic Event Pattern'.
      Generated:

    - #### createAtomicEventPattern

          public AtomicEventPattern createAtomicEventPattern()

      Specified by:
        `createAtomicEventPattern` in interface `VeplFactory`
      Returns:
        a new object of class 'Atomic Event Pattern'.
      Generated:

    - #### createQueryResultChangeEventPattern

          public QueryResultChangeEventPattern createQueryResultChangeEventPattern()

      Specified by:
        `createQueryResultChangeEventPattern` in interface `VeplFactory`
      Returns:
        a new object of class 'Query Result Change Event Pattern'.
      Generated:

    - #### createComplexEventPattern

          public ComplexEventPattern createComplexEventPattern()

      Specified by:
        `createComplexEventPattern` in interface `VeplFactory`
      Returns:
        a new object of class 'Complex Event Pattern'.
      Generated:

    - #### createRule

          public Rule createRule()

      Specified by:
        `createRule` in interface `VeplFactory`
      Returns:
        a new object of class 'Rule'.
      Generated:

    - #### createTraitList

          public TraitList createTraitList()

      Specified by:
        `createTraitList` in interface `VeplFactory`
      Returns:
        a new object of class 'Trait List'.
      Generated:

    - #### createTypedParameterList

          public TypedParameterList createTypedParameterList()

      Specified by:
        `createTypedParameterList` in interface `VeplFactory`
      Returns:
        a new object of class 'Typed Parameter List'.
      Generated:

    - #### createTypedParameter

          public TypedParameter createTypedParameter()

      Specified by:
        `createTypedParameter` in interface `VeplFactory`
      Returns:
        a new object of class 'Typed Parameter'.
      Generated:

    - #### createTypedParameterWithDefaultValue

          public TypedParameterWithDefaultValue createTypedParameterWithDefaultValue()

      Specified by:
        `createTypedParameterWithDefaultValue` in interface `VeplFactory`
      Returns:
        a new object of class 'Typed Parameter With Default Value'.
      Generated:

    - #### createTraitTypedParameterList

          public TraitTypedParameterList createTraitTypedParameterList()

      Specified by:
        `createTraitTypedParameterList` in interface `VeplFactory`
      Returns:
        a new object of class 'Trait Typed Parameter List'.
      Generated:

    - #### createParametrizedQueryReference

          public ParametrizedQueryReference createParametrizedQueryReference()

      Specified by:
        `createParametrizedQueryReference` in interface `VeplFactory`
      Returns:
        a new object of class 'Parametrized Query Reference'.
      Generated:

    - #### createComplexEventExpression

          public ComplexEventExpression createComplexEventExpression()

      Specified by:
        `createComplexEventExpression` in interface `VeplFactory`
      Returns:
        a new object of class 'Complex Event Expression'.
      Generated:

    - #### createChainedExpression

          public ChainedExpression createChainedExpression()

      Specified by:
        `createChainedExpression` in interface `VeplFactory`
      Returns:
        a new object of class 'Chained Expression'.
      Generated:

    - #### createAtom

          public Atom createAtom()

      Specified by:
        `createAtom` in interface `VeplFactory`
      Returns:
        a new object of class 'Atom'.
      Generated:

    - #### createAbstractMultiplicity

          public AbstractMultiplicity createAbstractMultiplicity()

      Specified by:
        `createAbstractMultiplicity` in interface `VeplFactory`
      Returns:
        a new object of class 'Abstract Multiplicity'.
      Generated:

    - #### createTimewindow

          public Timewindow createTimewindow()

      Specified by:
        `createTimewindow` in interface `VeplFactory`
      Returns:
        a new object of class 'Timewindow'.
      Generated:

    - #### createParameterizedPatternCall

          public ParameterizedPatternCall createParameterizedPatternCall()

      Specified by:
        `createParameterizedPatternCall` in interface `VeplFactory`
      Returns:
        a new object of class 'Parameterized Pattern Call'.
      Generated:

    - #### createPatternCallParameterList

          public PatternCallParameterList createPatternCallParameterList()

      Specified by:
        `createPatternCallParameterList` in interface `VeplFactory`
      Returns:
        a new object of class 'Pattern Call Parameter List'.
      Generated:

    - #### createPatternCallParameter

          public PatternCallParameter createPatternCallParameter()

      Specified by:
        `createPatternCallParameter` in interface `VeplFactory`
      Returns:
        a new object of class 'Pattern Call Parameter'.
      Generated:

    - #### createComplexEventOperator

          public ComplexEventOperator createComplexEventOperator()

      Specified by:
        `createComplexEventOperator` in interface `VeplFactory`
      Returns:
        a new object of class 'Complex Event Operator'.
      Generated:

    - #### createBinaryOperator

          public BinaryOperator createBinaryOperator()

      Specified by:
        `createBinaryOperator` in interface `VeplFactory`
      Returns:
        a new object of class 'Binary Operator'.
      Generated:

    - #### createUnaryOperator

          public UnaryOperator createUnaryOperator()

      Specified by:
        `createUnaryOperator` in interface `VeplFactory`
      Returns:
        a new object of class 'Unary Operator'.
      Generated:

    - #### createFollowsOperator

          public FollowsOperator createFollowsOperator()

      Specified by:
        `createFollowsOperator` in interface `VeplFactory`
      Returns:
        a new object of class 'Follows Operator'.
      Generated:

    - #### createOrOperator

          public OrOperator createOrOperator()

      Specified by:
        `createOrOperator` in interface `VeplFactory`
      Returns:
        a new object of class 'Or Operator'.
      Generated:

    - #### createAndOperator

          public AndOperator createAndOperator()

      Specified by:
        `createAndOperator` in interface `VeplFactory`
      Returns:
        a new object of class 'And Operator'.
      Generated:

    - #### createUntilOperator

          public UntilOperator createUntilOperator()

      Specified by:
        `createUntilOperator` in interface `VeplFactory`
      Returns:
        a new object of class 'Until Operator'.
      Generated:

    - #### createNegOperator

          public NegOperator createNegOperator()

      Specified by:
        `createNegOperator` in interface `VeplFactory`
      Returns:
        a new object of class 'Neg Operator'.
      Generated:

    - #### createMultiplicity

          public Multiplicity createMultiplicity()

      Specified by:
        `createMultiplicity` in interface `VeplFactory`
      Returns:
        a new object of class 'Multiplicity'.
      Generated:

    - #### createInfinite

          public Infinite createInfinite()

      Specified by:
        `createInfinite` in interface `VeplFactory`
      Returns:
        a new object of class 'Infinite'.
      Generated:

    - #### createAtLeastOne

          public AtLeastOne createAtLeastOne()

      Specified by:
        `createAtLeastOne` in interface `VeplFactory`
      Returns:
        a new object of class 'At Least One'.
      Generated:

    - #### createContextEnumFromString

          public ContextEnum createContextEnumFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                         java.lang.String initialValue)

      Generated:

    - #### convertContextEnumToString

          public java.lang.String convertContextEnumToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                             java.lang.Object instanceValue)

      Generated:

    - #### createQueryResultChangeTypeFromString

          public QueryResultChangeType createQueryResultChangeTypeFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                             java.lang.String initialValue)

      Generated:

    - #### convertQueryResultChangeTypeToString

          public java.lang.String convertQueryResultChangeTypeToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                       java.lang.Object instanceValue)

      Generated:

    - #### getVeplPackage

          public VeplPackage getVeplPackage()

      Specified by:
        `getVeplPackage` in interface `VeplFactory`
      Returns:
        the package supported by this factory.
      Generated:

    - #### getPackage

          @Deprecated
          public static VeplPackage getPackage()

      Deprecated.
      Generated: